<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
    <link rel="stylesheet" href="./c24/css/todo.css">
</head>
<body>
    <div class="title">
        <h2>TO DO LIST</h2>
        <div class="nhap-du-lieu">
            <input type="text" id="GETValue" class="input">
            <button onclick="INPUTValue()" class="nhap">NHAP</button>
        </div>       
    </div>
    <ul id="ValueUL" class="UL"></ul>

    <script>
        function INPUTValue(){
            
            var y = document.getElementById('GETValue').value
            var spanvalue = document.createElement('span')
            var li = document.createElement('li')
            var xoa = document.createElement('button')
            xoa.classList.add('delete')
            var edit = document.createElement('button')
            edit.classList.add('edit')
            spanvalue.append(y)
            xoa.append('Delete')
            edit.append('Edit')
            li.append(spanvalue)
            li.append(xoa)
            li.append(edit)
            var ul = document.getElementById('ValueUL')
            ul.append(li)
            xoa.addEventListener('click', function(){
                this.parentElement.remove()               
            })
            edit.addEventListener('click', function(){
                var Input = document.createElement('input')
                var Nhap = document.createElement('button')
                Nhap.classList.add('Update')
                Nhap.append('Update')
                li.append(Input)
                li.append(Nhap)
                var newspan = this.parentElement
                Input.value = newspan.getElementsByTagName('span')[0].textContent
                edit.style.display = "none";
                Nhap.addEventListener('click', function(){
                    var newValue = Input.value
                    spanvalue.innerHTML = newValue
                    edit.style.display = "inline";
                    Input.remove()
                    Nhap.remove()
                })
            })
        }
    </script>
    
</body>
</html>